Subject: bug#55863: 29.0.50; [PATCH] Avoid hanging chad of *Backtrace*

From: dick <[email-masked]>
Date: Fri, 10 Jun 2022 07:39:28 -0400

So I set about replacing kill-buffer with bury-buffer, then demoting
the *Backtrace* buffer from debugger-mode to backtrace-mode, and
realized maybe kill-buffer is best.

The confusion is we're accustomed to "q" as a passive bury, when
in fact "q" in debugger-mode corresponds to the highly un-passive
"debugger-quit".  To emphasize that, perhaps "q" in debugger-mode
should be gated by an "Are you sure?" yes-or-no-p.

Toting around old *Backtrace* buffers is fraught.  As GNU is really a
preservationist society moonlighting as software developers, I expect I
am, as usual, in the minority and will bow out of this particular
discuz.

>>>>> dick  <[email-masked]> writes:

> I'm down for burying on "q" so long as subsequent debug's don't
> generate-new-buffer to admit *Backtrace<2>* and *Backtrace<3>*.